Filter all employees
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/employees \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/employees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"type": "salary",
"unit": "annual"
},
"work_state": "CA"
},
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"location_id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1981-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "single",
"sex": "M",
"ssn": "123456789"
},
"version": "6260146a-3486-4c3d-b2a6-fcd3f8c84043"
}
]
}Employees
Get Employee List
Filter employees across all groups in your organization.
GET
/
api
/
v1
/
employees
Filter all employees
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
The employee first name for which you would like to filter
The employee last name for which you would like to filter
The employee's name for which you would like to filter
The ISO-8601 (YYYY-MM-DD) employee date of birth for which you would like to filter
Status of the employees employment
Filter employees by Person ID
Filter employees by Group ID
Example:
"4613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Was this page helpful?
